Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gdal.gdalconst
Class gdalconstJNI

    java.lang.Object
      org.gdal.gdalconst.gdalconstJNI

    public class gdalconstJNI

extends Object

Constructor Summary
`gdalconstJNI()`

Method Summary
`static int` | `CE_Debug_get()`
`static int` | `CE_Failure_get()`
`static int` | `CE_Fatal_get()`
`static int` | `CE_None_get()`
`static int` | `CE_Warning_get()`
`static int` | `CPLE_AppDefined_get()`
`static int` | `CPLE_AssertionFailed_get()`
`static int` | `CPLE_FileIO_get()`
`static int` | `CPLE_IllegalArg_get()`
`static int` | `CPLE_None_get()`
`static int` | `CPLE_NotSupported_get()`
`static int` | `CPLE_NoWriteAccess_get()`
`static int` | `CPLE_OpenFailed_get()`
`static int` | `CPLE_OutOfMemory_get()`
`static int` | `CPLE_UserInterrupt_get()`
`static int` | `CPLES_BackslashQuotable_get()`
`static int` | `CPLES_CSV_get()`
`static int` | `CPLES_SQL_get()`
`static int` | `CPLES_URL_get()`
`static int` | `CPLES_XML_get()`
`static int` | `CXT_Attribute_get()`
`static int` | `CXT_Comment_get()`
`static int` | `CXT_Element_get()`
`static int` | `CXT_Literal_get()`
`static int` | `CXT_Text_get()`
`static int` | `GA_ReadOnly_get()`
`static int` | `GA_Update_get()`
`static int` | `GARIO_COMPLETE_get()`
`static int` | `GARIO_ERROR_get()`
`static int` | `GARIO_PENDING_get()`
`static int` | `GARIO_UPDATE_get()`
`static int` | `GCI_AlphaBand_get()`
`static int` | `GCI_BlackBand_get()`
`static int` | `GCI_BlueBand_get()`
`static int` | `GCI_CyanBand_get()`
`static int` | `GCI_GrayIndex_get()`
`static int` | `GCI_GreenBand_get()`
`static int` | `GCI_HueBand_get()`
`static int` | `GCI_LightnessBand_get()`
`static int` | `GCI_MagentaBand_get()`
`static int` | `GCI_PaletteIndex_get()`
`static int` | `GCI_RedBand_get()`
`static int` | `GCI_SaturationBand_get()`
`static int` | `GCI_Undefined_get()`
`static int` | `GCI_YCbCr_CbBand_get()`
`static int` | `GCI_YCbCr_CrBand_get()`
`static int` | `GCI_YCbCr_YBand_get()`
`static int` | `GCI_YellowBand_get()`
`static String` | `GDAL_DCAP_CREATE_get()`
`static String` | `GDAL_DCAP_CREATECOPY_get()`
`static String` | `GDAL_DCAP_VIRTUALIO_get()`
`static String` | `GDAL_DMD_CREATIONDATATYPES_get()`
`static String` | `GDAL_DMD_CREATIONOPTIONLIST_get()`
`static String` | `GDAL_DMD_EXTENSION_get()`
`static String` | `GDAL_DMD_HELPTOPIC_get()`
`static String` | `GDAL_DMD_LONGNAME_get()`
`static String` | `GDAL_DMD_MIMETYPE_get()`
`static int` | `GDT_Byte_get()`
`static int` | `GDT_CFloat32_get()`
`static int` | `GDT_CFloat64_get()`
`static int` | `GDT_CInt16_get()`
`static int` | `GDT_CInt32_get()`
`static int` | `GDT_Float32_get()`
`static int` | `GDT_Float64_get()`
`static int` | `GDT_Int16_get()`
`static int` | `GDT_Int32_get()`
`static int` | `GDT_TypeCount_get()`
`static int` | `GDT_UInt16_get()`
`static int` | `GDT_UInt32_get()`
`static int` | `GDT_Unknown_get()`
`static int` | `GF_Read_get()`
`static int` | `GF_Write_get()`
`static int` | `GFT_Integer_get()`
`static int` | `GFT_Real_get()`
`static int` | `GFT_String_get()`
`static int` | `GFU_Alpha_get()`
`static int` | `GFU_AlphaMax_get()`
`static int` | `GFU_AlphaMin_get()`
`static int` | `GFU_Blue_get()`
`static int` | `GFU_BlueMax_get()`
`static int` | `GFU_BlueMin_get()`
`static int` | `GFU_Generic_get()`
`static int` | `GFU_Green_get()`
`static int` | `GFU_GreenMax_get()`
`static int` | `GFU_GreenMin_get()`
`static int` | `GFU_Max_get()`
`static int` | `GFU_MaxCount_get()`
`static int` | `GFU_Min_get()`
`static int` | `GFU_MinMax_get()`
`static int` | `GFU_Name_get()`
`static int` | `GFU_PixelCount_get()`
`static int` | `GFU_Red_get()`
`static int` | `GFU_RedMax_get()`
`static int` | `GFU_RedMin_get()`
`static int` | `GMF_ALL_VALID_get()`
`static int` | `GMF_ALPHA_get()`
`static int` | `GMF_NODATA_get()`
`static int` | `GMF_PER_DATASET_get()`
`static int` | `GPI_CMYK_get()`
`static int` | `GPI_Gray_get()`
`static int` | `GPI_HLS_get()`
`static int` | `GPI_RGB_get()`
`static int` | `GRA_Bilinear_get()`
`static int` | `GRA_Cubic_get()`
`static int` | `GRA_CubicSpline_get()`
`static int` | `GRA_Lanczos_get()`
`static int` | `GRA_NearestNeighbour_get()`
`static boolean` | `isAvailable()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### gdalconstJNI

    public gdalconstJNI()

Method Detail

### isAvailable

    public static boolean isAvailable()

### GDT_Unknown_get

    public static final int GDT_Unknown_get()

### GDT_Byte_get

    public static final int GDT_Byte_get()

### GDT_UInt16_get

    public static final int GDT_UInt16_get()

### GDT_Int16_get

    public static final int GDT_Int16_get()

### GDT_UInt32_get

    public static final int GDT_UInt32_get()

### GDT_Int32_get

    public static final int GDT_Int32_get()

### GDT_Float32_get

    public static final int GDT_Float32_get()

### GDT_Float64_get

    public static final int GDT_Float64_get()

### GDT_CInt16_get

    public static final int GDT_CInt16_get()

### GDT_CInt32_get

    public static final int GDT_CInt32_get()

### GDT_CFloat32_get

    public static final int GDT_CFloat32_get()

### GDT_CFloat64_get

    public static final int GDT_CFloat64_get()

### GDT_TypeCount_get

    public static final int GDT_TypeCount_get()

### GA_ReadOnly_get

    public static final int GA_ReadOnly_get()

### GA_Update_get

    public static final int GA_Update_get()

### GF_Read_get

    public static final int GF_Read_get()

### GF_Write_get

    public static final int GF_Write_get()

### GCI_Undefined_get

    public static final int GCI_Undefined_get()

### GCI_GrayIndex_get

    public static final int GCI_GrayIndex_get()

### GCI_PaletteIndex_get

    public static final int GCI_PaletteIndex_get()

### GCI_RedBand_get

    public static final int GCI_RedBand_get()

### GCI_GreenBand_get

    public static final int GCI_GreenBand_get()

### GCI_BlueBand_get

    public static final int GCI_BlueBand_get()

### GCI_AlphaBand_get

    public static final int GCI_AlphaBand_get()

### GCI_HueBand_get

    public static final int GCI_HueBand_get()

### GCI_SaturationBand_get

    public static final int GCI_SaturationBand_get()

### GCI_LightnessBand_get

    public static final int GCI_LightnessBand_get()

### GCI_CyanBand_get

    public static final int GCI_CyanBand_get()

### GCI_MagentaBand_get

    public static final int GCI_MagentaBand_get()

### GCI_YellowBand_get

    public static final int GCI_YellowBand_get()

### GCI_BlackBand_get

    public static final int GCI_BlackBand_get()

### GCI_YCbCr_YBand_get

    public static final int GCI_YCbCr_YBand_get()

### GCI_YCbCr_CrBand_get

    public static final int GCI_YCbCr_CrBand_get()

### GCI_YCbCr_CbBand_get

    public static final int GCI_YCbCr_CbBand_get()

### GRA_NearestNeighbour_get

    public static final int GRA_NearestNeighbour_get()

### GRA_Bilinear_get

    public static final int GRA_Bilinear_get()

### GRA_Cubic_get

    public static final int GRA_Cubic_get()

### GRA_CubicSpline_get

    public static final int GRA_CubicSpline_get()

### GRA_Lanczos_get

    public static final int GRA_Lanczos_get()

### GPI_Gray_get

    public static final int GPI_Gray_get()

### GPI_RGB_get

    public static final int GPI_RGB_get()

### GPI_CMYK_get

    public static final int GPI_CMYK_get()

### GPI_HLS_get

    public static final int GPI_HLS_get()

### CXT_Element_get

    public static final int CXT_Element_get()

### CXT_Text_get

    public static final int CXT_Text_get()

### CXT_Attribute_get

    public static final int CXT_Attribute_get()

### CXT_Comment_get

    public static final int CXT_Comment_get()

### CXT_Literal_get

    public static final int CXT_Literal_get()

### CE_None_get

    public static final int CE_None_get()

### CE_Debug_get

    public static final int CE_Debug_get()

### CE_Warning_get

    public static final int CE_Warning_get()

### CE_Failure_get

    public static final int CE_Failure_get()

### CE_Fatal_get

    public static final int CE_Fatal_get()

### CPLE_None_get

    public static final int CPLE_None_get()

### CPLE_AppDefined_get

    public static final int CPLE_AppDefined_get()

### CPLE_OutOfMemory_get

    public static final int CPLE_OutOfMemory_get()

### CPLE_FileIO_get

    public static final int CPLE_FileIO_get()

### CPLE_OpenFailed_get

    public static final int CPLE_OpenFailed_get()

### CPLE_IllegalArg_get

    public static final int CPLE_IllegalArg_get()

### CPLE_NotSupported_get

    public static final int CPLE_NotSupported_get()

### CPLE_AssertionFailed_get

    public static final int CPLE_AssertionFailed_get()

### CPLE_NoWriteAccess_get

    public static final int CPLE_NoWriteAccess_get()

### CPLE_UserInterrupt_get

    public static final int CPLE_UserInterrupt_get()

### GDAL_DMD_LONGNAME_get

    public static final String GDAL_DMD_LONGNAME_get()

### GDAL_DMD_HELPTOPIC_get

    public static final String GDAL_DMD_HELPTOPIC_get()

### GDAL_DMD_MIMETYPE_get

    public static final String GDAL_DMD_MIMETYPE_get()

### GDAL_DMD_EXTENSION_get

    public static final String GDAL_DMD_EXTENSION_get()

### GDAL_DMD_CREATIONOPTIONLIST_get

    public static final String GDAL_DMD_CREATIONOPTIONLIST_get()

### GDAL_DMD_CREATIONDATATYPES_get

    public static final String GDAL_DMD_CREATIONDATATYPES_get()

### GDAL_DCAP_CREATE_get

    public static final String GDAL_DCAP_CREATE_get()

### GDAL_DCAP_CREATECOPY_get

    public static final String GDAL_DCAP_CREATECOPY_get()

### GDAL_DCAP_VIRTUALIO_get

    public static final String GDAL_DCAP_VIRTUALIO_get()

### CPLES_BackslashQuotable_get

    public static final int CPLES_BackslashQuotable_get()

### CPLES_XML_get

    public static final int CPLES_XML_get()

### CPLES_URL_get

    public static final int CPLES_URL_get()

### CPLES_SQL_get

    public static final int CPLES_SQL_get()

### CPLES_CSV_get

    public static final int CPLES_CSV_get()

### GFT_Integer_get

    public static final int GFT_Integer_get()

### GFT_Real_get

    public static final int GFT_Real_get()

### GFT_String_get

    public static final int GFT_String_get()

### GFU_Generic_get

    public static final int GFU_Generic_get()

### GFU_PixelCount_get

    public static final int GFU_PixelCount_get()

### GFU_Name_get

    public static final int GFU_Name_get()

### GFU_Min_get

    public static final int GFU_Min_get()

### GFU_Max_get

    public static final int GFU_Max_get()

### GFU_MinMax_get

    public static final int GFU_MinMax_get()

### GFU_Red_get

    public static final int GFU_Red_get()

### GFU_Green_get

    public static final int GFU_Green_get()

### GFU_Blue_get

    public static final int GFU_Blue_get()

### GFU_Alpha_get

    public static final int GFU_Alpha_get()

### GFU_RedMin_get

    public static final int GFU_RedMin_get()

### GFU_GreenMin_get

    public static final int GFU_GreenMin_get()

### GFU_BlueMin_get

    public static final int GFU_BlueMin_get()

### GFU_AlphaMin_get

    public static final int GFU_AlphaMin_get()

### GFU_RedMax_get

    public static final int GFU_RedMax_get()

### GFU_GreenMax_get

    public static final int GFU_GreenMax_get()

### GFU_BlueMax_get

    public static final int GFU_BlueMax_get()

### GFU_AlphaMax_get

    public static final int GFU_AlphaMax_get()

### GFU_MaxCount_get

    public static final int GFU_MaxCount_get()

### GMF_ALL_VALID_get

    public static final int GMF_ALL_VALID_get()

### GMF_PER_DATASET_get

    public static final int GMF_PER_DATASET_get()

### GMF_ALPHA_get

    public static final int GMF_ALPHA_get()

### GMF_NODATA_get

    public static final int GMF_NODATA_get()

### GARIO_PENDING_get

    public static final int GARIO_PENDING_get()

### GARIO_UPDATE_get

    public static final int GARIO_UPDATE_get()

### GARIO_ERROR_get

    public static final int GARIO_ERROR_get()

### GARIO_COMPLETE_get

    public static final int GARIO_COMPLETE_get()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD